Marcus Meissner
0f203926a1
- Rename patch: * From 0211-fix_multipath_check_hostonly.patch to 0303-fix_multipath_check_hostonly.patch - Rename patch: * From 0213-10i18n-keymap-find.patch to 0213-Fix-wrong-keymap-inclusion.patch - 95fcoe: Do not complain about missing /etc/hba.conf (bsc#980539) * Add 0215-95fcoe-Do-not-complain-about-missing-etc-hba.conf.patch - 95fcoe: silence lldpad warnings * Add 0216-95fcoe-silence-lldpad-warnings.patch - 95fcoe: Allow to specify the FCoE mode via the fcoe= parameter * Add 0217-95fcoe-Allow-to-specify-the-FCoE-mode-via-the-fcoe-p.patch - 40network: allow persistent interface names (bsc#995284) * Add 0218-40network-allow-persistent-interface-names.patch - 95fcoe: use interface names instead of MAC addresses * Add 0219-95fcoe-use-interface-names-instead-of-MAC-addresses.patch - 95fcoe: always set AUTO_VLAN for fcoemon (bsc#995019) * Add 0220-95fcoe-always-set-AUTO_VLAN-for-fcoemon.patch - 95fcoe: Add shutdown script (bsc#994860) * Add 0221-95fcoe-Add-shutdown-script.patch - 90dm: Fixup shutdown script (bsc#994860) * Add 0222-90dm-Fixup-shutdown-script.patch - 90dm: fixup dependency cycle between MD and DM shutdown (bsc#994860) * Add 0223-90dm-fixup-dependency-cycle-between-MD-and-DM-shutdo.patch - 90multipath: Start daemon after udev settle (bsc#986734) * Add 0304-90multipath-Start-daemon-after-udev-settle.patch - 90multipath: load dm_multipath module during startup * Add 0305-90multipath-load-dm_multipath-module-during-startup.patch - 90multipath: add shutdown script (bsc#994860) OBS-URL: https://build.opensuse.org/request/show/422869 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=263
89 lines
2.4 KiB
Diff
89 lines
2.4 KiB
Diff
From 269941f54e5cf0c601ae284207cdeab865ccc18d Mon Sep 17 00:00:00 2001
|
|
From: Dave Young <dyoung@redhat.com>
|
|
Date: Wed, 4 May 2016 12:46:12 +0200
|
|
Subject: [PATCH] Revert '90multipath: add hostonly multipath.conf in case
|
|
hostonly mode'
|
|
|
|
Patch is incompatible with SUSE, which doesn't have mpathconf.
|
|
|
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
|
---
|
|
modules.d/90multipath/module-setup.sh | 42 +++++++----------------------------
|
|
1 file changed, 8 insertions(+), 34 deletions(-)
|
|
|
|
diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
|
|
index 831c99f..c2c85c4 100755
|
|
--- a/modules.d/90multipath/module-setup.sh
|
|
+++ b/modules.d/90multipath/module-setup.sh
|
|
@@ -1,28 +1,18 @@
|
|
#!/bin/bash
|
|
|
|
-is_mpath() {
|
|
- local _dev=$1
|
|
- [ -e /sys/dev/block/$_dev/dm/uuid ] || return 1
|
|
- [[ $(cat /sys/dev/block/$_dev/dm/uuid) =~ mpath- ]] && return 0
|
|
- return 1
|
|
-}
|
|
-
|
|
-majmin_to_mpath_dev() {
|
|
- local _dev
|
|
- for i in `ls -1 /dev/mapper/mpath*`; do
|
|
- dev=$(get_maj_min $i)
|
|
- if [ "$dev" = "$1" ]; then
|
|
- echo $i
|
|
- return
|
|
- fi
|
|
- done
|
|
-}
|
|
# called by dracut
|
|
check() {
|
|
local _rootdev
|
|
# if there's no multipath binary, no go.
|
|
require_binaries multipath || return 1
|
|
|
|
+ is_mpath() {
|
|
+ local _dev=$1
|
|
+ [ -e /sys/dev/block/$_dev/dm/uuid ] || return 1
|
|
+ [[ $(cat /sys/dev/block/$_dev/dm/uuid) =~ mpath- ]] && return 0
|
|
+ return 1
|
|
+ }
|
|
+
|
|
[[ $hostonly ]] || [[ $mount_needs ]] && {
|
|
for_each_host_dev_and_slaves is_mpath || return 255
|
|
}
|
|
@@ -89,18 +79,7 @@ installkernel() {
|
|
|
|
# called by dracut
|
|
install() {
|
|
- local _f _allow
|
|
- add_hostonly_mpath_conf() {
|
|
- is_mpath $1 && {
|
|
- local _dev
|
|
-
|
|
- _dev=$(majmin_to_mpath_dev $1)
|
|
- [ -z "$_dev" ] && return
|
|
- strstr "$_allow" "$_dev" && return
|
|
- _allow="$_allow --allow $_dev"
|
|
- }
|
|
- }
|
|
-
|
|
+ local _f
|
|
inst_multiple -o \
|
|
dmsetup \
|
|
kpartx \
|
|
@@ -114,11 +93,6 @@ install() {
|
|
/etc/multipath.conf \
|
|
/etc/multipath/*
|
|
|
|
- [[ $hostonly ]] && {
|
|
- for_each_host_dev_and_slaves_all add_hostonly_mpath_conf
|
|
- [ -n "$_allow" ] && mpathconf $_allow --outfile ${initdir}/etc/multipath.conf
|
|
- }
|
|
-
|
|
inst $(command -v partx) /sbin/partx
|
|
|
|
inst_libdir_file "libmultipath*" "multipath/*"
|
|
--
|
|
2.6.6
|
|
|